From ef0aac432c986f52a1b973bcd73ddf7324e0e70f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 16:02:22 +0200
Subject: [PATCH 21/45] Fix unused make_connection_string() warning
 [-Werror=unused-function]

This function is used when USE_VFORK is unset.
---
 svr-chansession.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/svr-chansession.c b/svr-chansession.c
index 5bed8fc..6d08d3f 100644
--- a/svr-chansession.c
+++ b/svr-chansession.c
@@ -603,6 +603,7 @@ static int sessionpty(struct ChanSess * chansess) {
 	return DROPBEAR_SUCCESS;
 }
 
+#ifndef USE_VFORK
 static void make_connection_string(struct ChanSess *chansess) {
 	char *local_ip, *local_port, *remote_ip, *remote_port;
 	size_t len;
@@ -624,6 +625,7 @@ static void make_connection_string(struct ChanSess *chansess) {
 	m_free(remote_ip);
 	m_free(remote_port);
 }
+#endif
 
 /* Handle a command request from the client. This is used for both shell
  * and command-execution requests, and passes the command to

